Bug 1802210 - gmetad frequently segfaults
Summary: gmetad frequently segfaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ganglia
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Nick
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-12 15:41 UTC by fnevgeny
Modified: 2020-10-26 15:33 UTC (History)
2 users (show)

Fixed In Version: ganglia-3.7.2-33.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:50:46 UTC
Type: Bug


Attachments (Terms of Use)

Description fnevgeny 2020-02-12 15:41:54 UTC
Description of problem:

gmetad frequently segfaults. 

Version-Release number of selected component (if applicable):
3.7.2 2.el7

How reproducible:
Happens every few hours.

Please apply the upstream bugfix, <https://github.com/ganglia/monitor-core/pull/296/files>

Thanks,
Evgeny

Comment 1 Fedora Update System 2020-10-08 22:14:04 UTC
FEDORA-EPEL-2020-fee165c6a2 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

Comment 2 Fedora Update System 2020-10-09 00:02:51 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-fee165c6a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-10-23 22:50:46 UTC
FEDORA-EPEL-2020-fee165c6a2 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 fnevgeny 2020-10-26 15:33:45 UTC
Hi,

Trying to update:

Transaction check error:
  file /usr/share/ganglia/lib/Zend/Acl/Exception.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Role/Registry/Exception.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Exception.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Assert/Interface.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Resource/Interface.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Role/Interface.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Resource.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Role.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch
  file /usr/share/ganglia/lib/Zend/Acl/Role/Registry.php from install of ganglia-web-3.7.5-33.el7.x86_64 conflicts with file from package php-ZendFramework-1.12.20-1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.